## org.apache.ivy.core.resolve
Class ResolveData

    java.lang.Object
      org.apache.ivy.core.resolve.ResolveData

    public class ResolveData

extends java.lang.Object

Constructor Summary
`ResolveData(ResolveData data, boolean validate)`
`ResolveData(ResolveEngine engine, ResolveOptions options)`
`ResolveData(ResolveEngine engine, ResolveOptions options, ConfigurationResolveReport report)`
`ResolveData(ResolveEngine engine, ResolveOptions options, ConfigurationResolveReport report, java.util.Map visitData)`

Method Summary
`ResolvedModuleRevision` `getCurrentResolvedModuleRevision()` Returns the last `ResolvedModuleRevision` which has been currently resolved.
`VisitNode` `getCurrentVisitNode()` Returns the VisitNode currently visited, or `null` if there is no node currently visited in this context.
`java.util.Date` `getDate()`
`ResolveEngine` `getEngine()`
`EventManager` `getEventManager()`
`IvyNode` `getNode(ModuleRevisionId mrid)`
`java.util.Collection` `getNodeIds()`
`java.util.Collection` `getNodes()`
`ResolveOptions` `getOptions()`
`ConfigurationResolveReport` `getReport()`
`ResolveEngineSettings` `getSettings()`
`VisitData` `getVisitData(ModuleRevisionId mrid)`
`boolean` `isBlacklisted(java.lang.String rootModuleConf, ModuleRevisionId mrid)`
`boolean` `isTransitive()`
`boolean` `isValidate()`
`DependencyDescriptor` `mediate(DependencyDescriptor dd)`
`void` `register(ModuleRevisionId mrid, VisitNode node)`
`void` `register(VisitNode node)`
`void` `setCurrentResolvedModuleRevision(ResolvedModuleRevision mr)` Sets the last `ResolvedModuleRevision` which has been currently resolved.
`void` `setReport(ConfigurationResolveReport report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveData

    public ResolveData(ResolveData data,
                       boolean validate)

### ResolveData

    public ResolveData(ResolveEngine engine,
                       ResolveOptions options)

### ResolveData

    public ResolveData(ResolveEngine engine,
                       ResolveOptions options,
                       ConfigurationResolveReport report)

### ResolveData

    public ResolveData(ResolveEngine engine,
                       ResolveOptions options,
                       ConfigurationResolveReport report,
                       java.util.Map visitData)

Method Detail

### getReport

    public ConfigurationResolveReport getReport()

### getNode

    public IvyNode getNode(ModuleRevisionId mrid)

### getNodes

    public java.util.Collection getNodes()

### getNodeIds

    public java.util.Collection getNodeIds()

### getVisitData

    public VisitData getVisitData(ModuleRevisionId mrid)

### getCurrentVisitNode

    public VisitNode getCurrentVisitNode()

  Returns the VisitNode currently visited, or `null` if there is no node currently visited in this context.

  Returns:
    the VisitNode currently visited

### register

    public void register(VisitNode node)

### register

    public void register(ModuleRevisionId mrid,
                         VisitNode node)

### setReport

    public void setReport(ConfigurationResolveReport report)

### getDate

    public java.util.Date getDate()

### isValidate

    public boolean isValidate()

### isTransitive

    public boolean isTransitive()

### getOptions

    public ResolveOptions getOptions()

### getSettings

    public ResolveEngineSettings getSettings()

### getEventManager

    public EventManager getEventManager()

### getEngine

    public ResolveEngine getEngine()

### isBlacklisted

    public boolean isBlacklisted(java.lang.String rootModuleConf,
                                 ModuleRevisionId mrid)

### mediate

    public DependencyDescriptor mediate(DependencyDescriptor dd)

### setCurrentResolvedModuleRevision

    public void setCurrentResolvedModuleRevision(ResolvedModuleRevision mr)

  Sets the last `ResolvedModuleRevision` which has been currently resolved.

  This can be used especially in dependency resolvers, to know if another dependency resolver has already resolved the requested dependency, to take a decision if the resolver should try to resolve it by itself or not. Indeed, the dependency resolver is responsible for taking this decision, even when included in a chain. The chain responsibility is only to set this current resolved module revision to enable the resolver to take the decision.

  Parameters:
    `mr` - the last `ResolvedModuleRevision` which has been currently resolved.

### getCurrentResolvedModuleRevision

    public ResolvedModuleRevision getCurrentResolvedModuleRevision()

  Returns the last `ResolvedModuleRevision` which has been currently resolved.

  It can be `null`.

  Returns:
    the last `ResolvedModuleRevision` which has been currently resolved.